float4x4 WorldViewProj: WORLDVIEWPROJECTION;
sampler TextureSampler;

void Transform (
        in float4 inputPosition: POSITION,
        in float2 inputTexCoords: TEXCOORD0,
        out float4 outputPosition: POSITION,
        out float2 outputTexCoords: TEXCOORD0) {
        
        outputPosition = mul(inputPosition, WorldViewProj);
        outputTexCoords = inputTexCoords;
}

void TextureColor ( in float2 inputTexCoords: TEXCOORD0,
                    out float4 diffuseColor: COLOR0) {
        diffuseColor = tex2D(TextureSampler, inputTexCoords);
}

technique TransformTexture {
    pass P0 {
        VertexShader = compile vs_1_1 Transform();
        PixelShader = compile ps_1_1 TextureColor();
    }
}